<div class="row page-titles">
  <div class="col-md-5 align-self-center">
    <h3 class="text-themecolor">Propiedades</h3>
  </div>

</div>
<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-body">
        <div class="row">
          <div class="col-md-6 col-sm-6">
            <h4 class="card-title">Listado de Propiedades</h4>
          </div>
          <div class="col-md-6 col-sm-6 text-right">
            <button class="btn btn-primary" routerLink='/new-propiedad'>
              <i class="fas fa-plus"></i>
              Nueva Propiedad
            </button>
          </div>
        </div>
        <div class="table-responsive">
          <table #datatable class="table dark-table table-striped ">
            <thead class="bg-dark text-light">
              <tr>
                <th>Ubicación</th>
                <th>Tipo Propiedad</th>
                <th>Condición</th>
                <th>Operación</th>
                <th>Habitaciones</th>
                <th>Precio</th>
                <th class="no-sort"></th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let propiedad of propiedades ">
                <td>{{propiedad.barrio}}</td>
                <td>{{propiedad.tipo_propiedad}}</td>
                <td>{{propiedad.estado}}</td>
                <td>{{propiedad.tipo_operacion}}</td>
                <td>{{propiedad.dormitorios}}</td>
                <td>{{propiedad.precio}} {{propiedad.id_tipo_moneda == 1 ? '$' : 'USD'}}</td>
                <td>
                  <button class="btn btn-info mr-1" title="Editar" [routerLink]="[ '/editPropiedad', propiedad.id ]">
                    <i class="fas fa-edit"></i>
                  </button>
                  <button class="btn btn-danger" title="Eliminar" (click)="onDeletePropiedad(propiedad)">
                    <i class="fas fa-trash"></i>
                  </button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>